org.gitana.platform.services.authority

## Class AuthorityGrant

- java.lang.Object
- - org.gitana.platform.services.authority.AuthorityGrant

    public class AuthorityGrant
    extends Object

Object that holds state about an authority grant for a principal against an object.

Author:
  uzi

### Constructor Summary

Constructors
Constructor and Description
`AuthorityGrant(String roleKey, String domainId, String principalId, String permissionedId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AuthorityGrant` `fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)`
`String` `getDomainId()`
`String` `getInheritedDomainId()`
`String` `getInheritedFromId()`
`String` `getInheritedPermissionedId()`
`String` `getInheritedPermissionedTitle()`
`String` `getInheritedPrincipalDomainQualifiedId()`
`String` `getInheritedPrincipalDomainQualifiedName()`
`String` `getInheritedPrincipalEmail()`
`String` `getInheritedPrincipalId()`
`String` `getInheritedPrincipalName()`
`String` `getPermissionedId()`
`String` `getPermissionedTitle()`
`String` `getPrincipalDomainQualifiedId()`
`String` `getPrincipalDomainQualifiedName()`
`String` `getPrincipalEmail()`
`String` `getPrincipalId()`
`String` `getPrincipalName()`
`String` `getRoleKey()`
`void` `setInherited(String inheritedFromId, String inheritedDomainId, String inheritedPrincipalId, String inheritedPermissionedId)`
`void` `setInheritedPermissionedTitle(String inheritedPermissionedTitle)`
`void` `setInheritedPrincipalDomainQualifiedId(String inheritedPrincipalDomainQualifiedId)`
`void` `setInheritedPrincipalDomainQualifiedName(String inheritedPrincipalDomainQualifiedName)`
`void` `setInheritedPrincipalEmail(String inheritedPrincipalEmail)`
`void` `setInheritedPrincipalName(String inheritedPrincipalName)`
`void` `setPermissionedTitle(String permissionedTitle)`
`void` `setPrincipalDomainQualifiedId(String principalDomainQualifiedId)`
`void` `setPrincipalDomainQualifiedName(String principalDomainQualifiedName)`
`void` `setPrincipalEmail(String principalEmail)`
`void` `setPrincipalName(String principalName)`
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthorityGrant

    public AuthorityGrant(String roleKey,
                          String domainId,
                          String principalId,
                          String permissionedId)

### Method Detail

#### getRoleKey

    public String getRoleKey()

#### getDomainId

    public String getDomainId()

#### getPrincipalId

    public String getPrincipalId()

#### getPermissionedId

    public String getPermissionedId()

#### setPermissionedTitle

    public void setPermissionedTitle(String permissionedTitle)

#### getPermissionedTitle

    public String getPermissionedTitle()

#### setPrincipalName

    public void setPrincipalName(String principalName)

#### getPrincipalName

    public String getPrincipalName()

#### setPrincipalEmail

    public void setPrincipalEmail(String principalEmail)

#### getPrincipalEmail

    public String getPrincipalEmail()

#### setPrincipalDomainQualifiedName

    public void setPrincipalDomainQualifiedName(String principalDomainQualifiedName)

#### getPrincipalDomainQualifiedName

    public String getPrincipalDomainQualifiedName()

#### setPrincipalDomainQualifiedId

    public void setPrincipalDomainQualifiedId(String principalDomainQualifiedId)

#### getPrincipalDomainQualifiedId

    public String getPrincipalDomainQualifiedId()

#### setInherited

    public void setInherited(String inheritedFromId,
                             String inheritedDomainId,
                             String inheritedPrincipalId,
                             String inheritedPermissionedId)

#### getInheritedFromId

    public String getInheritedFromId()

#### getInheritedDomainId

    public String getInheritedDomainId()

#### getInheritedPrincipalId

    public String getInheritedPrincipalId()

#### getInheritedPermissionedId

    public String getInheritedPermissionedId()

#### setInheritedPermissionedTitle

    public void setInheritedPermissionedTitle(String inheritedPermissionedTitle)

#### getInheritedPermissionedTitle

    public String getInheritedPermissionedTitle()

#### setInheritedPrincipalName

    public void setInheritedPrincipalName(String inheritedPrincipalName)

#### getInheritedPrincipalName

    public String getInheritedPrincipalName()

#### setInheritedPrincipalEmail

    public void setInheritedPrincipalEmail(String inheritedPrincipalEmail)

#### getInheritedPrincipalEmail

    public String getInheritedPrincipalEmail()

#### setInheritedPrincipalDomainQualifiedId

    public void setInheritedPrincipalDomainQualifiedId(String inheritedPrincipalDomainQualifiedId)

#### getInheritedPrincipalDomainQualifiedId

    public String getInheritedPrincipalDomainQualifiedId()

#### setInheritedPrincipalDomainQualifiedName

    public void setInheritedPrincipalDomainQualifiedName(String inheritedPrincipalDomainQualifiedName)

#### getInheritedPrincipalDomainQualifiedName

    public String getInheritedPrincipalDomainQualifiedName()

#### toJSON

    public com.fasterxml.jackson.databind.node.ObjectNode toJSON()

#### fromJSON

    public static AuthorityGrant fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`